Get API public v1 pulse trader by address demo
curl --request GET \
--url https://api.coinversa.ai/api/public/v1/pulse/trader/{address}/demo \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.coinversa.ai/api/public/v1/pulse/trader/{address}/demo"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.coinversa.ai/api/public/v1/pulse/trader/{address}/demo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinversa.ai/api/public/v1/pulse/trader/{address}/demo",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coinversa.ai/api/public/v1/pulse/trader/{address}/demo"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinversa.ai/api/public/v1/pulse/trader/{address}/demo")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinversa.ai/api/public/v1/pulse/trader/{address}/demo")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"address": "<string>",
"recentTopLosses": [
{
"builderFee": 123,
"coin": "<string>",
"entryVwap": 123,
"fees": 123,
"fillCount": 123,
"id": 123,
"isClosed": true,
"lifecycleNum": 123,
"openedAt": "<string>",
"openedAtRaw": 123,
"openedBeforeWindow": true,
"peakSize": 123,
"realizedPnl": 123,
"side": "<string>",
"status": "<string>",
"wasLiquidated": true,
"closedAt": "<string>",
"closedAtRaw": 123,
"durationMs": 123,
"exitVwap": 123,
"liquidationClosedPnl": 123,
"liquidationMethod": "<string>",
"liquidatorAddress": "<string>",
"penaltyFeePaid": 123
}
],
"recentTopWins": [
{
"builderFee": 123,
"coin": "<string>",
"entryVwap": 123,
"fees": 123,
"fillCount": 123,
"id": 123,
"isClosed": true,
"lifecycleNum": 123,
"openedAt": "<string>",
"openedAtRaw": 123,
"openedBeforeWindow": true,
"peakSize": 123,
"realizedPnl": 123,
"side": "<string>",
"status": "<string>",
"wasLiquidated": true,
"closedAt": "<string>",
"closedAtRaw": 123,
"durationMs": 123,
"exitVwap": 123,
"liquidationClosedPnl": 123,
"liquidationMethod": "<string>",
"liquidatorAddress": "<string>",
"penaltyFeePaid": 123
}
],
"summary": {
"address": "<string>",
"avgDurationMs": 123,
"avgPnl": 123,
"biggestLoss": 123,
"biggestWin": 123,
"closed": 123,
"coverage": {
"reason": "<string>",
"tracked": true,
"windowEnd": "<string>",
"windowStart": "<string>"
},
"firstOpenedAt": "<string>",
"lastActivityAt": "<string>",
"liquidations": 123,
"losses": 123,
"maxDurationMs": 123,
"minDurationMs": 123,
"open": 123,
"openRealizedPnl": 123,
"total": 123,
"totalBuilderFees": 123,
"totalFees": 123,
"totalPnl": 123,
"uniqueCoins": 123,
"winRate": 123,
"window": {
"days": 123,
"end": "<string>",
"includesCensored": true,
"includesOpen": true,
"start": "<string>"
},
"wins": 123,
"$schema": "https://api.coinversa.ai/schemas/WalletLifecycleSummaryBody.json"
},
"$schema": "https://api.coinversa.ai/schemas/WalletDemoBody.json"
}{
"$schema": "https://api.coinversa.ai/schemas/APIError.json",
"code": "<string>",
"current_tier": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"reason": "<string>",
"required_tier": "<string>",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upgrade_url": "<string>"
}{
"$schema": "https://api.coinversa.ai/schemas/APIError.json",
"code": "<string>",
"current_tier": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"reason": "<string>",
"required_tier": "<string>",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upgrade_url": "<string>"
}{
"$schema": "https://api.coinversa.ai/schemas/APIError.json",
"code": "<string>",
"current_tier": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"reason": "<string>",
"required_tier": "<string>",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upgrade_url": "<string>"
}{
"$schema": "https://api.coinversa.ai/schemas/APIError.json",
"code": "<string>",
"current_tier": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"reason": "<string>",
"required_tier": "<string>",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upgrade_url": "<string>"
}{
"$schema": "https://api.coinversa.ai/schemas/APIError.json",
"code": "<string>",
"current_tier": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"reason": "<string>",
"required_tier": "<string>",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upgrade_url": "<string>"
}{
"$schema": "https://api.coinversa.ai/schemas/APIError.json",
"code": "<string>",
"current_tier": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"reason": "<string>",
"required_tier": "<string>",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upgrade_url": "<string>"
}API Reference
Get API public v1 pulse trader by address demo
GET
/
api
/
public
/
v1
/
pulse
/
trader
/
{address}
/
demo
Get API public v1 pulse trader by address demo
curl --request GET \
--url https://api.coinversa.ai/api/public/v1/pulse/trader/{address}/demo \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.coinversa.ai/api/public/v1/pulse/trader/{address}/demo"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.coinversa.ai/api/public/v1/pulse/trader/{address}/demo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinversa.ai/api/public/v1/pulse/trader/{address}/demo",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coinversa.ai/api/public/v1/pulse/trader/{address}/demo"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinversa.ai/api/public/v1/pulse/trader/{address}/demo")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinversa.ai/api/public/v1/pulse/trader/{address}/demo")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"address": "<string>",
"recentTopLosses": [
{
"builderFee": 123,
"coin": "<string>",
"entryVwap": 123,
"fees": 123,
"fillCount": 123,
"id": 123,
"isClosed": true,
"lifecycleNum": 123,
"openedAt": "<string>",
"openedAtRaw": 123,
"openedBeforeWindow": true,
"peakSize": 123,
"realizedPnl": 123,
"side": "<string>",
"status": "<string>",
"wasLiquidated": true,
"closedAt": "<string>",
"closedAtRaw": 123,
"durationMs": 123,
"exitVwap": 123,
"liquidationClosedPnl": 123,
"liquidationMethod": "<string>",
"liquidatorAddress": "<string>",
"penaltyFeePaid": 123
}
],
"recentTopWins": [
{
"builderFee": 123,
"coin": "<string>",
"entryVwap": 123,
"fees": 123,
"fillCount": 123,
"id": 123,
"isClosed": true,
"lifecycleNum": 123,
"openedAt": "<string>",
"openedAtRaw": 123,
"openedBeforeWindow": true,
"peakSize": 123,
"realizedPnl": 123,
"side": "<string>",
"status": "<string>",
"wasLiquidated": true,
"closedAt": "<string>",
"closedAtRaw": 123,
"durationMs": 123,
"exitVwap": 123,
"liquidationClosedPnl": 123,
"liquidationMethod": "<string>",
"liquidatorAddress": "<string>",
"penaltyFeePaid": 123
}
],
"summary": {
"address": "<string>",
"avgDurationMs": 123,
"avgPnl": 123,
"biggestLoss": 123,
"biggestWin": 123,
"closed": 123,
"coverage": {
"reason": "<string>",
"tracked": true,
"windowEnd": "<string>",
"windowStart": "<string>"
},
"firstOpenedAt": "<string>",
"lastActivityAt": "<string>",
"liquidations": 123,
"losses": 123,
"maxDurationMs": 123,
"minDurationMs": 123,
"open": 123,
"openRealizedPnl": 123,
"total": 123,
"totalBuilderFees": 123,
"totalFees": 123,
"totalPnl": 123,
"uniqueCoins": 123,
"winRate": 123,
"window": {
"days": 123,
"end": "<string>",
"includesCensored": true,
"includesOpen": true,
"start": "<string>"
},
"wins": 123,
"$schema": "https://api.coinversa.ai/schemas/WalletLifecycleSummaryBody.json"
},
"$schema": "https://api.coinversa.ai/schemas/WalletDemoBody.json"
}{
"$schema": "https://api.coinversa.ai/schemas/APIError.json",
"code": "<string>",
"current_tier": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"reason": "<string>",
"required_tier": "<string>",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upgrade_url": "<string>"
}{
"$schema": "https://api.coinversa.ai/schemas/APIError.json",
"code": "<string>",
"current_tier": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"reason": "<string>",
"required_tier": "<string>",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upgrade_url": "<string>"
}{
"$schema": "https://api.coinversa.ai/schemas/APIError.json",
"code": "<string>",
"current_tier": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"reason": "<string>",
"required_tier": "<string>",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upgrade_url": "<string>"
}{
"$schema": "https://api.coinversa.ai/schemas/APIError.json",
"code": "<string>",
"current_tier": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"reason": "<string>",
"required_tier": "<string>",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upgrade_url": "<string>"
}{
"$schema": "https://api.coinversa.ai/schemas/APIError.json",
"code": "<string>",
"current_tier": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"reason": "<string>",
"required_tier": "<string>",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upgrade_url": "<string>"
}{
"$schema": "https://api.coinversa.ai/schemas/APIError.json",
"code": "<string>",
"current_tier": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"reason": "<string>",
"required_tier": "<string>",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upgrade_url": "<string>"
}Authorizations
Create an API key at https://developers.coinversa.ai/keys. REST limits are shared across keys by account; access uses the effective tier of the presented key.
Path Parameters
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
A URL to the JSON Schema for this object.
Example:
"https://api.coinversa.ai/schemas/WalletDemoBody.json"

